<?php
/*
Plugin Name: Qurio
Plugin URI: https://help.getqurio.com/qurio-wordpress-plugin/
Description: Integrate Qurio, the Audience Engagement Platform, on your WordPress website.
Version: 0.1
Author: Qurio
Author URI: https://www.getqurio.com/
License: GPL2
*/

function getqurio_settings_page() {
  ?>
  <div class="wrap">
    <h2>Qurio</h2>
    <form method="post" action="options.php">
      <?php settings_fields( 'getqurio_settings' ); ?>
      <?php do_settings_sections( 'getqurio_settings' ); ?>
      <table class="form-table">
        <tr valign="top">
          <th scope="row">Project ID</th>
          <td><input type="text" name="getqurio_project_id" value="<?php echo esc_attr( get_option( 'getqurio_project_id' ) ); ?>" /></td>
        </tr>
      </table>
      <?php submit_button(); ?>
    </form>
  </div>
  <?php
}

function getqurio_register_settings() {
  register_setting( 'getqurio_settings', 'getqurio_project_id' );
}
add_action( 'admin_init', 'getqurio_register_settings' );


function getqurio_add_header() {
  $project_id = get_option( 'getqurio_project_id' );
  if ( $project_id ) {
    echo '<script async="" id="qurioscript" data-client="' . esc_attr( $project_id ) . '" src="https://app.getqurio.com/assets/js/frogv2.js"></script>';
  }
}
add_action( 'wp_head', 'getqurio_add_header' );

function getqurio_add_menu_item() {
  add_options_page( 'Qurio Settings', 'Qurio', 'manage_options', 'getqurio', 'getqurio_settings_page' );
}
add_action( 'admin_menu', 'getqurio_add_menu_item' );


?>
